## org.apache.tools.ant
Interface TaskContainer

All Known Implementing Classes:
  Parallel, Sequential, Target

public interface TaskContainer

Interface for objects which can contain tasks.

It is recommended that implementations call perform rather than execute for the tasks they contain, as this method ensures that the appropriate BuildEvents will be generated.

Author:
  Conor MacNeill
See Also:
  `Task.perform()`, `Task.execute()`, `BuildEvent`

Method Summary
`void` `addTask(Task task)` Adds a task to this task container

Method Detail

### addTask

    public void addTask(Task task)

  Adds a task to this task container

  Parameters:
    `task` - The task to be added to this container. Must not be `null`.

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.